## GstGLSyncMeta

GstGLSyncMeta

## Functions

GstGLSyncMeta * | gst_buffer_add_gl_sync_meta ()
GstGLSyncMeta * | gst_buffer_add_gl_sync_meta_full ()
#define | gst_buffer_get_gl_sync_meta()
GType | gst_gl_sync_meta_api_get_type ()
const GstMetaInfo * | gst_gl_sync_meta_get_info ()
void | gst_gl_sync_meta_set_sync_point ()
void | gst_gl_sync_meta_wait ()
void | gst_gl_sync_meta_wait_cpu ()

## Types and Values

struct | GstGLSyncMeta
#define | GST_BUFFER_POOL_OPTION_GL_SYNC_META

## Description

## Functions

### gst_buffer_add_gl_sync_meta ()

    GstGLSyncMeta *
    gst_buffer_add_gl_sync_meta (GstGLContext *context,
                                 GstBuffer *buffer);

### gst_buffer_add_gl_sync_meta_full ()

    GstGLSyncMeta *
    gst_buffer_add_gl_sync_meta_full (GstGLContext *context,
                                      GstBuffer *buffer,
                                      gpointer data);

### gst_buffer_get_gl_sync_meta()

    #define gst_buffer_get_gl_sync_meta(b) ((GstGLSyncMeta*)gst_buffer_get_meta((b),GST_GL_SYNC_META_API_TYPE))

### gst_gl_sync_meta_api_get_type ()

    GType
    gst_gl_sync_meta_api_get_type (void);

### gst_gl_sync_meta_get_info ()

    const GstMetaInfo *
    gst_gl_sync_meta_get_info (void);

### gst_gl_sync_meta_set_sync_point ()

    void
    gst_gl_sync_meta_set_sync_point (GstGLSyncMeta *sync,
                                     GstGLContext *context);

### gst_gl_sync_meta_wait ()

    void
    gst_gl_sync_meta_wait (GstGLSyncMeta *sync,
                           GstGLContext *context);

### gst_gl_sync_meta_wait_cpu ()

    void
    gst_gl_sync_meta_wait_cpu (GstGLSyncMeta *sync,
                               GstGLContext *context);

## Types and Values

### struct GstGLSyncMeta

    struct GstGLSyncMeta {
      GstMeta parent;

      GstGLContext *context;

      gpointer      data;

      void (*set_sync) (GstGLSyncMeta * sync, GstGLContext * context);
      void (*set_sync_gl) (GstGLSyncMeta * sync, GstGLContext * context);
      void (*wait) (GstGLSyncMeta * sync, GstGLContext * context);
      void (*wait_gl) (GstGLSyncMeta * sync, GstGLContext * context);
      void (*wait_cpu) (GstGLSyncMeta * sync, GstGLContext * context);
      void (*wait_cpu_gl) (GstGLSyncMeta * sync, GstGLContext * context);
      void (*copy) (GstGLSyncMeta * src, GstBuffer * sbuffer, GstGLSyncMeta * dest, GstBuffer * dbuffer);
      void (*free) (GstGLSyncMeta * sync, GstGLContext * context);
      void (*free_gl) (GstGLSyncMeta * sync, GstGLContext * context);
    };

### GST_BUFFER_POOL_OPTION_GL_SYNC_META

    #define GST_BUFFER_POOL_OPTION_GL_SYNC_META "GstBufferPoolOptionGLSyncMeta"